Last.fm 1.4 problems...

 
    • soko1 said...
    • User
    • 22 Sep 2008, 08:19

    Last.fm 1.4 problems...

    Hi!
    Have the following issue. Get the latest release last.fm and raises the following error:

    ###BEGIN###
    tuser@truebsd_notebook:\>pwd
    /home/tuser/last.fm-1.4.2.58240
    tuser@truebsd_notebook:\>make
    cd src/libFingerprint/ && make -f Makefile
    rm -f libLastFmFingerprint.so.1.0.0 libLastFmFingerprint.so libLastFmFingerprint.so.1 libLastFmFingerprint.so.1.0
    c++ -pthread -Wl,-rpath,/usr/local/lib/qt4 -shared -Wl,-soname,libLastFmFingerprint.so.1 -o libLastFmFingerprint.so.1.0.0 ../../build/LastFmFingerprint/release/Sha256File.o ../../build/LastFmFingerprint/release/Sha256.o ../../build/LastFmFingerprint/release/MP3_Source_Qt.o ../../build/LastFmFingerprint/release/Fingerprinter2.o ../../build/LastFmFingerprint/release/FingerprintCollector.o ../../build/LastFmFingerprint/release/FingerprintQueryer.o ../../build/LastFmFingerprint/release/moc_Fingerprinter2.o ../../build/LastFmFingerprint/release/moc_FingerprintCollector.o ../../build/LastFmFingerprint/release/moc_FingerprintQueryer.o -L/usr/local/lib -L/usr/home/tuser/last.fm-1.4.2.58240/bin -L/usr/home/tuser/last.fm-1.4.2.58240/build/LastFmFingerprint/../fplib -L/usr/local/lib/qt4 -lMoose -L/usr/home/tuser/last.fm-1.4.2.58240/bin -lLastFmTools /usr/home/tuser/last.fm-1.4.2.58240/build/fplib/libfplib.a -lsamplerate -lfftw3f -lQtSql -L/usr/local/lib/qt4 -L/usr/local/lib -pthread -pthread -lQtXml -pthread -pthread -lQtGui -pthread -lpng -lSM -lICE -pthread -pthread -lXi -lXrender -lXrandr -lfreetype -lfontconfig -lXext -lX11 -lQtNetwork -pthread -pthread -lQtCore -lz -lm -pthread -lgthread-2.0 -lglib-2.0 -liconv
    ...
    /usr/bin/ld: cannot find -lfftw3f
    *** Error code 1

    Stop in /usr/home/tuser/last.fm-1.4.2.58240/src/libFingerprint.
    *** Error code 1

    Stop in /usr/home/tuser/last.fm-1.4.2.58240.
    ###END###

    Version fftw last:

    tuser@truebsd_notebook:\> fftw-wisdom --version | grep FFTW
    fftw-wisdom tool for FFTW version 3.1.2.
    tuser@truebsd_notebook:\> cat /usr/ports/math/fftw3/distinfo | head -n1
    MD5 (fftw-3.1.2.tar.gz) = 08f2e21c9fd02f4be2bd53a62592afa4

    What's the problem?

Anonymous users may not post messages. Please log in or create an account to post in the forums.